Bullet Collision Detection & Physics Library: btKinematicClosestNotMeRayResultCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btKinematicClosestNotMeRayResultCallback Class Reference
Inheritance diagram for btKinematicClosestNotMeRayResultCallback:
[legend]
Collaboration diagram for btKinematicClosestNotMeRayResultCallback:
[legend]

## Public Member Functions
| btKinematicClosestNotMeRayResultCallback (btCollisionObject *me)
virtual btScalar | addSingleResult (btCollisionWorld::LocalRayResult &rayResult, bool normalInWorldSpace)
Public Member Functions inherited from btCollisionWorld::ClosestRayResultCallback
| ClosestRayResultCallback (const btVector3 &rayFromWorld, const btVector3 &rayToWorld)
Public Member Functions inherited from btCollisionWorld::RayResultCallback
virtual | ~RayResultCallback ()
bool | hasHit () const
| RayResultCallback ()
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const

## Protected Attributes
btCollisionObject * | m_me

## Additional Inherited Members
Public Attributes inherited from btCollisionWorld::ClosestRayResultCallback
btVector3 | m_rayFromWorld
btVector3 | m_rayToWorld
btVector3 | m_hitNormalWorld
btVector3 | m_hitPointWorld
Public Attributes inherited from btCollisionWorld::RayResultCallback
btScalar | m_closestHitFraction
const btCollisionObject * | m_collisionObject
int | m_collisionFilterGroup
int | m_collisionFilterMask
unsigned int | m_flags

## Detailed Description

Definition at line 45 of file btKinematicCharacterController.cpp.

## Constructor & Destructor Documentation

## ◆ btKinematicClosestNotMeRayResultCallback()

btKinematicClosestNotMeRayResultCallback::btKinematicClosestNotMeRayResultCallback | ( | btCollisionObject * | me | ) |
| inline

Definition at line 48 of file btKinematicCharacterController.cpp.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btKinematicClosestNotMeRayResultCallback::addSingleResult | ( | btCollisionWorld::LocalRayResult & | rayResult,
|  | bool | normalInWorldSpace )
| inlinevirtual

Reimplemented from btCollisionWorld::ClosestRayResultCallback.

Definition at line 53 of file btKinematicCharacterController.cpp.

## Member Data Documentation

## ◆ m_me

btCollisionObject* btKinematicClosestNotMeRayResultCallback::m_me
| protected

Definition at line 62 of file btKinematicCharacterController.cpp.

The documentation for this class was generated from the following file:

- btKinematicCharacterController.cpp